Subject: Re: seat post question
From: Rosette Modiri <[email-masked]>
To: Yarngam Makan <[email-masked]>
Date: Thu, 9 Apr 2020 12:07:42 -0700 (MST)

Please use 2000KW for the seat post and shipping will take 3-5 working days 

From: "Rosette Modiri" <[email-masked]> 
To: "Yarngam Makan" <[email-masked]> 
Sent: Thursday, 9 April, 2020 23:26:40 
Subject: Re: seat post question 

flagged 

From: "Yarngam Makan" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Thursday, 9 April, 2020 03:07:39 
Subject: seat post question 

CASE1463132 
I just ordered an eb7 plus from amazon. I realize it's has a shock at the rear but I'd like to buy a shock seat post too. Can you tell me how long the factory post is and the diameter in MM?